Hamburger Menu

Bootstrap Hamburger Menu

Note: We are transitioning MDB4 to a legacy version and focusing on developing MDB5. While we'll continue to support for the transition period, we encourage you to migrate to MDB5. We're offering a huge discount on MDB5 PRO to help with your transition, enabling you to leverage the full potential of the latest version. You can find more information here.
upgrade with discount

By clicking on this control, you activate some information or navigation that is hidden by default for UX purposes.

This usually means activating a SideNav, but might also roll down a Navbar menu.

Examples of Bootstrap hamburger menu use include:

  • SideNav activation
  • Navbar menu

This is illustrated by the following Bootstrap hamburger menu examples:


Basic example

Info notification

MDB has hundreds of colors to use within a hamburger menu. Take a look here to know all the possibilities.

        
            

        <!--Navbar-->
        <nav class="navbar navbar-light light-blue lighten-4">

          <!-- Navbar brand -->
          <a class="navbar-brand" href="#">Navbar</a>

          <!-- Collapse button -->
          <button class="navbar-toggler toggler-example" type="button" data-toggle="collapse" data-target="#navbarSupportedContent1"
            aria-controls="navbarSupportedContent1" aria-expanded="false" aria-label="Toggle navigation"><span class="dark-blue-text"><i
                class="fas fa-bars fa-1x"></i></span></button>

          <!-- Collapsible content -->
          <div class="collapse navbar-collapse" id="navbarSupportedContent1">

            <!-- Links -->
            <ul class="navbar-nav mr-auto">
              <li class="nav-item active">
                <a class="nav-link" href="#">Home <span class="sr-only">(current)</span></a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#">Features</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#">Pricing</a>
              </li>
            </ul>
            <!-- Links -->

          </div>
          <!-- Collapsible content -->

        </nav>
        <!--/.Navbar-->

      
        
    
        
            

        .fa-1x {
          font-size: 1.5rem;
        }
        .navbar-toggler.toggler-example {
          cursor: pointer;
        }
        .dark-blue-text {
          color: #0A38F5;
        }
        .dark-pink-text {
          color: #AC003A;
        }
        .dark-amber-text {
          color: #ff6f00;
        }
        .dark-teal-text {
          color: #004d40;
        }

      
        
    

Various hamburger menu icons

You can use any of the icons available on MDB to mark the hamburger drop-down menu.

        
            

        <!--Navbar-->
        <nav class="navbar navbar-light navbar-1 white">

          <!-- Navbar brand -->
          <a class="navbar-brand" href="#">Navbar</a>

          <!-- Collapse button -->
          <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent15"
            aria-controls="navbarSupportedContent15" aria-expanded="false" aria-label="Toggle navigation"><span class="navbar-toggler-icon"></span></button>

          <!-- Collapsible content -->
          <div class="collapse navbar-collapse" id="navbarSupportedContent15">

            <!-- Links -->
            <ul class="navbar-nav mr-auto">
              <li class="nav-item active">
                <a class="nav-link" href="#">Home <span class="sr-only">(current)</span></a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#">Features</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#">Pricing</a>
              </li>
            </ul>
            <!-- Links -->

          </div>
          <!-- Collapsible content -->

        </nav>
        <!--/.Navbar-->

      
        
    
        
            

        .navbar.navbar-1 .navbar-toggler-icon {
          background-image: url('https://mdbootstrap.com/img/svg/hamburger6.svg?color=000');
        }
        .navbar.navbar-2 .navbar-toggler-icon {
          background-image: url('https://mdbootstrap.com/img/svg/hamburger2.svg?color=fff');
        }
        .navbar.navbar-3 .navbar-toggler-icon {
          background-image: url('https://mdbootstrap.com/img/svg/hamburger1.svg?color=6a1b9a');
        }
        .navbar.navbar-4 .navbar-toggler-icon {
          background-image: url('https://mdbootstrap.com/img/svg/hamburger7.svg?color=BFE100');
        }
        .navbar.navbar-5 .navbar-toggler-icon {
          background-image: url('https://mdbootstrap.com/img/svg/hamburger5.svg?color=f3e5f5');
        }
        .navbar.navbar-6 .navbar-toggler-icon {
          background-image: url('https://mdbootstrap.com/img/svg/hamburger8.svg?color=E3005C');
        }
        .navbar.navbar-7 .navbar-toggler-icon {
          background-image: url('https://mdbootstrap.com/img/svg/hamburger9.svg?color=FF2C00');
        }
        .navbar.navbar-8 .navbar-toggler-icon {
          background-image: url('https://mdbootstrap.com/img/svg/hamburger4.svg?color=1729B0');
        }
        .navbar.navbar-9 .navbar-toggler-icon {
          background-image: url('https://mdbootstrap.com/img/svg/hamburger3.svg?color=00FBD8');
        }

      
        
    

Hamburger menu icon animations

Click on the icon to see the animation.

        
            

        <!--Navbar-->
        <nav class="navbar navbar-light amber lighten-4 mb-4">

          <!-- Navbar brand -->
          <a class="navbar-brand" href="#">Navbar</a>

          <!-- Collapse button -->
          <button class="navbar-toggler first-button" type="button" data-toggle="collapse" data-target="#navbarSupportedContent20"
            aria-controls="navbarSupportedContent20" aria-expanded="false" aria-label="Toggle navigation">
            <div class="animated-icon1"><span></span><span></span><span></span></div>
          </button>

          <!-- Collapsible content -->
          <div class="collapse navbar-collapse" id="navbarSupportedContent20">

            <!-- Links -->
            <ul class="navbar-nav mr-auto">
              <li class="nav-item active">
                <a class="nav-link" href="#">Home <span class="sr-only">(current)</span></a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#">Features</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#">Pricing</a>
              </li>
            </ul>
            <!-- Links -->

          </div>
          <!-- Collapsible content -->

        </nav>
        <!--/.Navbar-->

        <!--Navbar-->
        <nav class="navbar navbar-dark red lighten-1 mb-4">

          <!-- Navbar brand -->
          <a class="navbar-brand" href="#">Navbar</a>

          <!-- Collapse button -->
          <button class="navbar-toggler second-button" type="button" data-toggle="collapse" data-target="#navbarSupportedContent23"
            aria-controls="navbarSupportedContent23" aria-expanded="false" aria-label="Toggle navigation">
            <div class="animated-icon2"><span></span><span></span><span></span><span></span></div>
          </button>

          <!-- Collapsible content -->
          <div class="collapse navbar-collapse" id="navbarSupportedContent23">

            <!-- Links -->
            <ul class="navbar-nav mr-auto">
              <li class="nav-item active">
                <a class="nav-link" href="#">Home <span class="sr-only">(current)</span></a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#">Features</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#">Pricing</a>
              </li>
            </ul>
            <!-- Links -->

          </div>
          <!-- Collapsible content -->

        </nav>
        <!--/.Navbar-->

        <!--Navbar-->
        <nav class="navbar navbar-dark  indigo darken-2">

          <!-- Navbar brand -->
          <a class="navbar-brand" href="#">Navbar</a>

          <!-- Collapse button -->
          <button class="navbar-toggler third-button" type="button" data-toggle="collapse" data-target="#navbarSupportedContent22"
            aria-controls="navbarSupportedContent22" aria-expanded="false" aria-label="Toggle navigation">
            <div class="animated-icon3"><span></span><span></span><span></span></div>
          </button>

          <!-- Collapsible content -->
          <div class="collapse navbar-collapse" id="navbarSupportedContent22">

            <!-- Links -->
            <ul class="navbar-nav mr-auto">
              <li class="nav-item active">
                <a class="nav-link" href="#">Home <span class="sr-only">(current)</span></a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#">Features</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#">Pricing</a>
              </li>
            </ul>
            <!-- Links -->

          </div>
          <!-- Collapsible content -->

        </nav>
        <!--/.Navbar-->

      
        
    
        
            
        /* Icon 1 */

        .animated-icon1, .animated-icon2, .animated-icon3 {
          width: 30px;
          height: 20px;
          position: relative;
          margin: 0px;
          -webkit-transform: rotate(0deg);
          -moz-transform: rotate(0deg);
          -o-transform: rotate(0deg);
          transform: rotate(0deg);
          -webkit-transition: .5s ease-in-out;
          -moz-transition: .5s ease-in-out;
          -o-transition: .5s ease-in-out;
          transition: .5s ease-in-out;
          cursor: pointer;
        }

        .animated-icon1 span, .animated-icon2 span, .animated-icon3 span {
          display: block;
          position: absolute;
          height: 3px;
          width: 100%;
          border-radius: 9px;
          opacity: 1;
          left: 0;
          -webkit-transform: rotate(0deg);
          -moz-transform: rotate(0deg);
          -o-transform: rotate(0deg);
          transform: rotate(0deg);
          -webkit-transition: .25s ease-in-out;
          -moz-transition: .25s ease-in-out;
          -o-transition: .25s ease-in-out;
          transition: .25s ease-in-out;
        }

        .animated-icon1 span {
          background: #e65100;
        }

        .animated-icon2 span {
          background: #e3f2fd;
        }

        .animated-icon3 span {
          background: #f3e5f5;
        }

        .animated-icon1 span:nth-child(1) {
         top: 0px;
        }

        .animated-icon1 span:nth-child(2) {
          top: 10px;
        }

        .animated-icon1 span:nth-child(3) {
          top: 20px;
        }

        .animated-icon1.open span:nth-child(1) {
          top: 11px;
          -webkit-transform: rotate(135deg);
          -moz-transform: rotate(135deg);
          -o-transform: rotate(135deg);
          transform: rotate(135deg);
        }

        .animated-icon1.open span:nth-child(2) {
          opacity: 0;
          left: -60px;
        }

        .animated-icon1.open span:nth-child(3) {
          top: 11px;
          -webkit-transform: rotate(-135deg);
          -moz-transform: rotate(-135deg);
          -o-transform: rotate(-135deg);
          transform: rotate(-135deg);
        }

        /* Icon 3*/

        .animated-icon2 span:nth-child(1) {
          top: 0px;
        }

        .animated-icon2 span:nth-child(2), .animated-icon2 span:nth-child(3) {
          top: 10px;
        }

        .animated-icon2 span:nth-child(4) {
          top: 20px;
        }

        .animated-icon2.open span:nth-child(1) {
          top: 11px;
          width: 0%;
          left: 50%;
        }

        .animated-icon2.open span:nth-child(2) {
          -webkit-transform: rotate(45deg);
          -moz-transform: rotate(45deg);
          -o-transform: rotate(45deg);
          transform: rotate(45deg);
        }

        .animated-icon2.open span:nth-child(3) {
          -webkit-transform: rotate(-45deg);
          -moz-transform: rotate(-45deg);
          -o-transform: rotate(-45deg);
          transform: rotate(-45deg);
        }

        .animated-icon2.open span:nth-child(4) {
          top: 11px;
          width: 0%;
          left: 50%;
        }

        /* Icon 4 */

        .animated-icon3 span:nth-child(1) {
          top: 0px;
          -webkit-transform-origin: left center;
          -moz-transform-origin: left center;
          -o-transform-origin: left center;
          transform-origin: left center;
        }

        .animated-icon3 span:nth-child(2) {
          top: 10px;
          -webkit-transform-origin: left center;
          -moz-transform-origin: left center;
          -o-transform-origin: left center;
          transform-origin: left center;
        }

        .animated-icon3 span:nth-child(3) {
          top: 20px;
          -webkit-transform-origin: left center;
          -moz-transform-origin: left center;
          -o-transform-origin: left center;
          transform-origin: left center;
        }

        .animated-icon3.open span:nth-child(1) {
          -webkit-transform: rotate(45deg);
          -moz-transform: rotate(45deg);
          -o-transform: rotate(45deg);
          transform: rotate(45deg);
          top: 0px;
          left: 8px;
        }

        .animated-icon3.open span:nth-child(2) {
          width: 0%;
          opacity: 0;
        }

        .animated-icon3.open span:nth-child(3) {
          -webkit-transform: rotate(-45deg);
          -moz-transform: rotate(-45deg);
          -o-transform: rotate(-45deg);
          transform: rotate(-45deg);
          top: 21px;
          left: 8px;
        }
      
        
    
        
            

        $(document).ready(function () {

          $('.first-button').on('click', function () {

            $('.animated-icon1').toggleClass('open');
          });
          $('.second-button').on('click', function () {

            $('.animated-icon2').toggleClass('open');
          });
          $('.third-button').on('click', function () {

            $('.animated-icon3').toggleClass('open');
          });
        });
      
        
    

Hamburger icon within an accordion

Info notification

Copy the code above ("hamburger menu icon animations") if you want to have them within an accordion.

Hello, my friends, I am the nicest accordion!


Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable VHS.

Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable VHS.

Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable VHS.

        
            

        <!--Accordion wrapper-->
        <div class="accordion md-accordion accordion-3 z-depth-1-half" id="accordionEx194" role="tablist"
        aria-multiselectable="true">

        <ul class="list-unstyled d-flex justify-content-center pt-5 red-text">
          <li><i class="fas fa-anchor mr-3 fa-2x" aria-hidden="true"></i></li>
          <li><i class="far fa-life-ring mr-3 fa-2x" aria-hidden="true"></i></li>
          <li><i class="far fa-star fa-2x" aria-hidden="true"></i></li>
        </ul>

        <h2 class="text-center text-uppercase red-text py-4 px-3">Hello my friends, I am the nicest accordion!</h2>

        <hr class="mb-0">

        <!-- Accordion card -->
        <div class="card">

          <!-- Card header -->
          <div class="card-header" role="tab" id="heading4">
            <a data-toggle="collapse" data-parent="#accordionEx194" href="#collapse4" aria-expanded="true"
              aria-controls="collapse4">
              <h3 class="mb-0 red-text">
                How awesome accordion I am? <div class="animated-icon1 float-right mt-1"><span></span><span></span><span></span></div>
              </h3>
            </a>
          </div>

          <!-- Card body -->
          <div id="collapse4" class="collapse show" role="tabpanel" aria-labelledby="heading4" data-parent="#accordionEx194">
            <div class="card-body pt-0">
              <p>Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3
                wolf moon officia aute,
                non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch
                3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda
                shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt
                sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer
                farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them
                accusamus labore sustainable VHS.</p>
            </div>
          </div>
        </div>
        <!-- Accordion card -->

        <!-- Accordion card -->
        <div class="card">

          <!-- Card header -->
          <div class="card-header" role="tab" id="heading5">
            <a class="collapsed" data-toggle="collapse" data-parent="#accordionEx194" href="#collapse5" aria-expanded="false"
              aria-controls="collapse5">
              <h3 class="mb-0 red-text">
                You're the greatest accordion! <div class="animated-icon1 float-right mt-1"><span></span><span></span><span></span></div>
              </h3>
            </a>
          </div>

          <!-- Card body -->
          <div id="collapse5" class="collapse" role="tabpanel" aria-labelledby="heading5" data-parent="#accordionEx194">
            <div class="card-body pt-0">
              <p>Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3
                wolf moon officia aute,
                non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch
                3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda
                shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt
                sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer
                farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them
                accusamus labore sustainable VHS.</p>
            </div>
          </div>
        </div>
        <!-- Accordion card -->

        <!-- Accordion card -->
        <div class="card">

          <!-- Card header -->
          <div class="card-header" role="tab" id="heading6">
            <a class="collapsed" data-toggle="collapse" data-parent="#accordionEx194" href="#collapse6" aria-expanded="false"
              aria-controls="collapse6">
              <h3 class="mb-0 red-text">
                Thank you my dear! <div class="animated-icon1 float-right mt-1"><span></span><span></span><span></span></div>
              </h3>
            </a>
          </div>

          <!-- Card body -->
          <div id="collapse6" class="collapse" role="tabpanel" aria-labelledby="heading6" data-parent="#accordionEx194">
            <div class="card-body pt-0">
              <p>Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3
                wolf moon officia aute,
                non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch
                3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda
                shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt
                sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer
                farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them
                accusamus labore sustainable VHS.</p>
            </div>
          </div>
        </div>
        <!-- Accordion card -->
        </div>
        <!--/.Accordion wrapper-->

      
        
    
        
            
        .accordion.accordion-3 {
          border-radius: 3px; 
        }

        .accordion.accordion-3 p {
          font-size: 1rem; 
        }

        .accordion.accordion-3 .fa.fa-angle-down {
          margin-top: -10px; 
        }

        .accordion .animated-icon1 span {
          background: #F44336;
        }
      
        
    

Hamburger icon with background

        
            

        <!--Navbar-->
        <nav class="navbar navbar-light purple lighten-4 mb-4">

          <!-- Navbar brand -->
          <a class="navbar-brand" href="#">Navbar</a>

          <!-- Collapse button -->
          <button class="navbar-toggler toggler-example purple darken-3" type="button" data-toggle="collapse"
            data-target="#navbarSupportedContent41" aria-controls="navbarSupportedContent41" aria-expanded="false"
            aria-label="Toggle navigation"><span class="white-text"><i class="fas fa-bars fa-1x"></i></span></button>

          <!-- Collapsible content -->
          <div class="collapse navbar-collapse" id="navbarSupportedContent41">

            <!-- Links -->
            <ul class="navbar-nav mr-auto">
              <li class="nav-item active">
                <a class="nav-link" href="#">Home <span class="sr-only">(current)</span></a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#">Features</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#">Pricing</a>
              </li>
            </ul>
            <!-- Links -->

          </div>
          <!-- Collapsible content -->

        </nav>
        <!--/.Navbar-->

Vue Bootstrap Hamburger Menu

Vue Hamburger Menu - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Vue Bootstrap Hamburger menu is a navigation with additional hamburger looks like icon which activates hidden menu elements in Navbar or Sidenav.

By clicking, you active a part of information or navigation that is hidden by default for UX purpose.

Vue live preview

This usually means activating a SideNav, but might also roll down a Navbar menu.


Basic example

See the following Bootstrap hamburger menu examples

        
            
        <template>
          <mdb-container>
            <mdb-navbar class="mt-2" hamburger expand="xl">
              <mdb-navbar-brand>
                Navbar
              </mdb-navbar-brand>
              <mdb-navbar-toggler>
                <mdb-navbar-nav right>
                  <mdb-nav-item href="#" waves-fixed>Home</mdb-nav-item>
                  <mdb-nav-item href="#" waves-fixed>Features</mdb-nav-item>
                  <mdb-nav-item href="#" waves-fixed>Pricing</mdb-nav-item>
                </mdb-navbar-nav>
              </mdb-navbar-toggler>
            </mdb-navbar>
            <mdb-navbar color="light-blue" class="mt-2 lighten-4" hamburger navIconClass="dark-blue-text" expand="xl">
              <mdb-navbar-brand>
                Navbar
              </mdb-navbar-brand>
              <mdb-navbar-toggler>
                <mdb-navbar-nav right>
                  <mdb-nav-item href="#" waves-fixed>Home</mdb-nav-item>
                  <mdb-nav-item href="#" waves-fixed>Features</mdb-nav-item>
                  <mdb-nav-item href="#" waves-fixed>Pricing</mdb-nav-item>
                </mdb-navbar-nav>
              </mdb-navbar-toggler>
            </mdb-navbar>
            <mdb-navbar color="pink" class="mt-2 lighten-4" hamburger navIconClass="dark-pink-text" expand="xl">
              <mdb-navbar-brand>
                Navbar
              </mdb-navbar-brand>
              <mdb-navbar-toggler>
                <mdb-navbar-nav right>
                  <mdb-nav-item href="#" waves-fixed>Home</mdb-nav-item>
                  <mdb-nav-item href="#" waves-fixed>Features</mdb-nav-item>
                  <mdb-nav-item href="#" waves-fixed>Pricing</mdb-nav-item>
                </mdb-navbar-nav>
              </mdb-navbar-toggler>
            </mdb-navbar>
            <mdb-navbar color="amber" class="mt-2 lighten-4" hamburger navIconClass="dark-amber-text" expand="xl">
              <mdb-navbar-brand>
                Navbar
              </mdb-navbar-brand>
              <mdb-navbar-toggler>
                <mdb-navbar-nav right>
                  <mdb-nav-item href="#" waves-fixed>Home</mdb-nav-item>
                  <mdb-nav-item href="#" waves-fixed>Features</mdb-nav-item>
                  <mdb-nav-item href="#" waves-fixed>Pricing</mdb-nav-item>
                </mdb-navbar-nav>
              </mdb-navbar-toggler>
            </mdb-navbar>
            <mdb-navbar color="teal" class="mt-2 lighten-4" hamburger navIconClass="dark-teal-text" expand="xl">
              <mdb-navbar-brand>
                Navbar
              </mdb-navbar-brand>
              <mdb-navbar-toggler>
                <mdb-navbar-nav right>
                  <mdb-nav-item href="#" waves-fixed>Home</mdb-nav-item>
                  <mdb-nav-item href="#" waves-fixed>Features</mdb-nav-item>
                  <mdb-nav-item href="#" waves-fixed>Pricing</mdb-nav-item>
                </mdb-navbar-nav>
              </mdb-navbar-toggler>
            </mdb-navbar>
          </mdb-container>
        </template>
        
        
    
        
            
        <script>
          import {
            mdbNavbar,
            mdbNavItem,
            mdbNavbarNav,
            mdbNavbarToggler,
            mdbContainer,
            mdbRow,
            mdbInput,
            mdbNavbarBrand,
            mdbIcon
          } from 'mdbvue';
          export default {
            name: 'HamburgerMenuPage',
            components: {
              mdbNavbar,
              mdbNavItem,
              mdbNavbarNav,
              mdbNavbarToggler,
              mdbContainer,
              mdbRow,
              mdbInput,
              mdbNavbarBrand,
              mdbIcon
            }
          }
        </script>
        
        
    
        
            
        <!-- Add "scoped" attribute to limit CSS to this component only -->
        <style>
          .dark-blue-text {
            color: #0A38F5;
          }

          .dark-pink-text {
            color: #AC003A;
          }

          .dark-amber-text {
            color: #ff6f00;
          }

          .dark-teal-text {
            color: #004d40;
          }
        </style>
        
        
    

Various hamburger menu icons

You can use any of the icons available on MDB to mark the hamburger drop-down menu.

        
            
        <template>
          <mdb-container>
            <mdb-navbar class="mt-2 navbar-1" expand="xl">
              <mdb-navbar-brand>
                Navbar
              </mdb-navbar-brand>
              <mdb-navbar-toggler>
                <mdb-navbar-nav right>
                  <mdb-nav-item href="#" waves-fixed>Home</mdb-nav-item>
                  <mdb-nav-item href="#" waves-fixed>Features</mdb-nav-item>
                  <mdb-nav-item href="#" waves-fixed>Pricing</mdb-nav-item>
                </mdb-navbar-nav>
              </mdb-navbar-toggler>
            </mdb-navbar>
            <mdb-navbar class="mt-2 navbar-2" dark color="primary" expand="xl">
              <mdb-navbar-brand class="text-white">
                Navbar
              </mdb-navbar-brand>
              <mdb-navbar-toggler>
                <mdb-navbar-nav right>
                  <mdb-nav-item href="#" waves-fixed>Home</mdb-nav-item>
                  <mdb-nav-item href="#" waves-fixed>Features</mdb-nav-item>
                  <mdb-nav-item href="#" waves-fixed>Pricing</mdb-nav-item>
                </mdb-navbar-nav>
              </mdb-navbar-toggler>
            </mdb-navbar>
            <mdb-navbar class="mt-2 navbar-3" dark color="default" expand="xl">
              <mdb-navbar-brand class="text-white">
                Navbar
              </mdb-navbar-brand>
              <mdb-navbar-toggler>
                <mdb-navbar-nav right>
                  <mdb-nav-item href="#" waves-fixed>Home</mdb-nav-item>
                  <mdb-nav-item href="#" waves-fixed>Features</mdb-nav-item>
                  <mdb-nav-item href="#" waves-fixed>Pricing</mdb-nav-item>
                </mdb-navbar-nav>
              </mdb-navbar-toggler>
            </mdb-navbar>
            <mdb-navbar color="pink" class="mt-2 navbar-4" dark expand="xl">
              <mdb-navbar-brand class="text-white">
                Navbar
              </mdb-navbar-brand>
              <mdb-navbar-toggler>
                <mdb-navbar-nav right>
                  <mdb-nav-item href="#" waves-fixed>Home</mdb-nav-item>
                  <mdb-nav-item href="#" waves-fixed>Features</mdb-nav-item>
                  <mdb-nav-item href="#" waves-fixed>Pricing</mdb-nav-item>
                </mdb-navbar-nav>
              </mdb-navbar-toggler>
            </mdb-navbar>
            <mdb-navbar class="mt-2 navbar-5" dark color="secondary" expand="xl">
              <mdb-navbar-brand class="text-white">
                Navbar
              </mdb-navbar-brand>
              <mdb-navbar-toggler>
                <mdb-navbar-nav right>
                  <mdb-nav-item href="#" waves-fixed>Home</mdb-nav-item>
                  <mdb-nav-item href="#" waves-fixed>Features</mdb-nav-item>
                  <mdb-nav-item href="#" waves-fixed>Pricing</mdb-nav-item>
                </mdb-navbar-nav>
              </mdb-navbar-toggler>
            </mdb-navbar>
            <mdb-navbar class="mt-2 navbar-6" dark color="success" expand="xl">
              <mdb-navbar-brand class="text-white">
                Navbar
              </mdb-navbar-brand>
              <mdb-navbar-toggler>
                <mdb-navbar-nav right>
                  <mdb-nav-item href="#" waves-fixed>Home</mdb-nav-item>
                  <mdb-nav-item href="#" waves-fixed>Features</mdb-nav-item>
                  <mdb-nav-item href="#" waves-fixed>Pricing</mdb-nav-item>
                </mdb-navbar-nav>
              </mdb-navbar-toggler>
            </mdb-navbar>
            <mdb-navbar class="mt-2 navbar-7" dark color="info" expand="xl">
              <mdb-navbar-brand class="text-white">
                Navbar
              </mdb-navbar-brand>
              <mdb-navbar-toggler>
                <mdb-navbar-nav right>
                  <mdb-nav-item href="#" waves-fixed>Home</mdb-nav-item>
                  <mdb-nav-item href="#" waves-fixed>Features</mdb-nav-item>
                  <mdb-nav-item href="#" waves-fixed>Pricing</mdb-nav-item>
                </mdb-navbar-nav>
              </mdb-navbar-toggler>
            </mdb-navbar>
            <mdb-navbar class="mt-2 navbar-8" dark color="warning" expand="xl">
              <mdb-navbar-brand class="text-white">
                Navbar
              </mdb-navbar-brand>
              <mdb-navbar-toggler>
                <mdb-navbar-nav right>
                  <mdb-nav-item href="#" waves-fixed>Home</mdb-nav-item>
                  <mdb-nav-item href="#" waves-fixed>Features</mdb-nav-item>
                  <mdb-nav-item href="#" waves-fixed>Pricing</mdb-nav-item>
                </mdb-navbar-nav>
              </mdb-navbar-toggler>
            </mdb-navbar>
            <mdb-navbar class="mt-2 navbar-9" dark color="danger" expand="xl">
              <mdb-navbar-brand class="text-white">
                Navbar
              </mdb-navbar-brand>
              <mdb-navbar-toggler>
                <mdb-navbar-nav right>
                  <mdb-nav-item href="#" waves-fixed>Home</mdb-nav-item>
                  <mdb-nav-item href="#" waves-fixed>Features</mdb-nav-item>
                  <mdb-nav-item href="#" waves-fixed>Pricing</mdb-nav-item>
                </mdb-navbar-nav>
              </mdb-navbar-toggler>
            </mdb-navbar>
          </mdb-container>
        </template>
        
        
    
        
            
        <script>
          import {
            mdbNavbar,
            mdbNavItem,
            mdbNavbarNav,
            mdbNavbarToggler,
            mdbContainer,
            mdbRow,
            mdbInput,
            mdbNavbarBrand,
            mdbIcon
          } from 'mdbvue';
          export default {
            name: 'HamburgerMenuPage',
            components: {
              mdbNavbar,
              mdbNavItem,
              mdbNavbarNav,
              mdbNavbarToggler,
              mdbContainer,
              mdbRow,
              mdbInput,
              mdbNavbarBrand,
              mdbIcon
            }
          }
        </script>
        
        
    
        
            
        <!-- Add "scoped" attribute to limit CSS to this component only -->
        <style>
          .navbar.navbar-1 .navbar-toggler-icon {
            background-image: url('https://mdbootstrap.com/img/svg/hamburger6.svg?color=000');
          }

          .navbar.navbar-2 .navbar-toggler-icon {
            background-image: url('https://mdbootstrap.com/img/svg/hamburger2.svg?color=fff');
          }

          .navbar.navbar-3 .navbar-toggler-icon {
            background-image: url('https://mdbootstrap.com/img/svg/hamburger1.svg?color=6a1b9a');
          }

          .navbar.navbar-4 .navbar-toggler-icon {
            background-image: url('https://mdbootstrap.com/img/svg/hamburger7.svg?color=BFE100');
          }

          .navbar.navbar-5 .navbar-toggler-icon {
            background-image: url('https://mdbootstrap.com/img/svg/hamburger5.svg?color=f3e5f5');
          }

          .navbar.navbar-6 .navbar-toggler-icon {
            background-image: url('https://mdbootstrap.com/img/svg/hamburger8.svg?color=E3005C');
          }

          .navbar.navbar-7 .navbar-toggler-icon {
            background-image: url('https://mdbootstrap.com/img/svg/hamburger9.svg?color=FF2C00');
          }

          .navbar.navbar-8 .navbar-toggler-icon {
            background-image: url('https://mdbootstrap.com/img/svg/hamburger4.svg?color=1729B0');
          }

          .navbar.navbar-9 .navbar-toggler-icon {
            background-image: url('https://mdbootstrap.com/img/svg/hamburger3.svg?color=00FBD8');
          }
        </style>
        
        
    

Hamburger menu with custom icons

To replace the default toggler with a custom icon, add hamburger property and set the following properties: togglerIcon, togglerIconClass, togglerSize.

        
            
        <template>
          <mdb-container>
            <!--Navbar-->
            <mdb-navbar expand="xl" hamburger class="mt-2 grey" dark togglerIcon="caret-square-down">
              <!-- Navbar brand -->
              <mdb-navbar-brand class="text-white">Navbar</mdb-navbar-brand>
              <mdb-navbar-toggler>
                <mdb-navbar-nav right>
                  <mdb-nav-item href="#" waves-fixed>Home</mdb-nav-item>
                  <mdb-nav-item href="#" waves-fixed>Features</mdb-nav-item>
                  <mdb-nav-item href="#" waves-fixed>Pricing</mdb-nav-item>
                </mdb-navbar-nav>
              </mdb-navbar-toggler>
            </mdb-navbar>
            <!--/.Navbar-->
            <!--Navbar-->
            <mdb-navbar expand="xl" class="mt-2" hamburger togglerIcon="heart" dark color="indigo">
              <!-- Navbar brand -->
              <mdb-navbar-brand class="text-white">Navbar</mdb-navbar-brand>
              <mdb-navbar-toggler>
                <mdb-navbar-nav right>
                  <mdb-nav-item href="#" waves-fixed>Home</mdb-nav-item>
                  <mdb-nav-item href="#" waves-fixed>Features</mdb-nav-item>
                  <mdb-nav-item href="#" waves-fixed>Pricing</mdb-nav-item>
                </mdb-navbar-nav>
              </mdb-navbar-toggler>
            </mdb-navbar>
            <!--/.Navbar-->
            <!--Navbar-->
            <mdb-navbar expand="xl" class="mt-2" hamburger togglerIcon="paper-plane" far dark color="mdb-color">
              <!-- Navbar brand -->
              <mdb-navbar-brand class="text-white">Navbar</mdb-navbar-brand>
              <mdb-navbar-toggler>
                <mdb-navbar-nav right>
                  <mdb-nav-item href="#" waves-fixed>Home</mdb-nav-item>
                  <mdb-nav-item href="#" waves-fixed>Features</mdb-nav-item>
                  <mdb-nav-item href="#" waves-fixed>Pricing</mdb-nav-item>
                </mdb-navbar-nav>
              </mdb-navbar-toggler>
            </mdb-navbar>
            <!--/.Navbar-->
            <!--Navbar-->
            <mdb-navbar expand="xl" class="mt-2" hamburger togglerIcon="angle-double-down" dark color="info"
              togglerIconClass="red-text">
              <!-- Navbar brand -->
              <mdb-navbar-brand class="text-white">Navbar</mdb-navbar-brand>
              <mdb-navbar-toggler>
                <mdb-navbar-nav right>
                  <mdb-nav-item href="#" waves-fixed>Home</mdb-nav-item>
                  <mdb-nav-item href="#" waves-fixed>Features</mdb-nav-item>
                  <mdb-nav-item href="#" waves-fixed>Pricing</mdb-nav-item>
                </mdb-navbar-nav>
              </mdb-navbar-toggler>
            </mdb-navbar>
            <!--/.Navbar-->
            <!--Navbar-->
            <mdb-navbar expand="xl" class="mt-2 darken-4" hamburger togglerIcon="chevron-down" togglerSize="xs" dark
              color="amber">
              <!-- Navbar brand -->
              <mdb-navbar-brand class="text-white">Navbar</mdb-navbar-brand>
              <mdb-navbar-toggler>
                <mdb-navbar-nav right>
                  <mdb-nav-item href="#" waves-fixed>Home</mdb-nav-item>
                  <mdb-nav-item href="#" waves-fixed>Features</mdb-nav-item>
                  <mdb-nav-item href="#" waves-fixed>Pricing</mdb-nav-item>
                </mdb-navbar-nav>
              </mdb-navbar-toggler>
            </mdb-navbar>
            <!--/.Navbar-->
            <!--Navbar-->
            <mdb-navbar expand="xl" hamburger class="mt-2" togglerIcon="plus" dark color="danger"
              togglerIconClass="lime-text">
              <!-- Navbar brand -->
              <mdb-navbar-brand class="text-white">Navbar</mdb-navbar-brand>
              <mdb-navbar-toggler>
                <mdb-navbar-nav right>
                  <mdb-nav-item href="#" waves-fixed>Home</mdb-nav-item>
                  <mdb-nav-item href="#" waves-fixed>Features</mdb-nav-item>
                  <mdb-nav-item href="#" waves-fixed>Pricing</mdb-nav-item>
                </mdb-navbar-nav>
              </mdb-navbar-toggler>
            </mdb-navbar>
            <!--/.Navbar-->
          </mdb-container>
        </template>
        
        
    
        
            
        <script>
          import {
            mdbNavbar,
            mdbNavItem,
            mdbNavbarNav,
            mdbNavbarToggler,
            mdbContainer,
            mdbRow,
            mdbInput,
            mdbNavbarBrand,
            mdbIcon
          } from 'mdbvue';
          export default {
            name: 'HamburgerMenuPage',
            components: {
              mdbNavbar,
              mdbNavItem,
              mdbNavbarNav,
              mdbNavbarToggler,
              mdbContainer,
              mdbRow,
              mdbInput,
              mdbNavbarBrand,
              mdbIcon
            }
          }
        </script>
        
        
    

Hamburger menu icon animations

You can use mdbNavbarToggler component with animated and animation props. Click on the icon to see the animation.

        
            
          <template>
            <mdb-container>
              <!--Navbar-->
              <mdb-navbar color="amber" class="mt-2 lighten-4" expand="xl" togglerIcon="" animated animation="1">
                <!-- Navbar brand -->
                <mdb-navbar-brand>Navbar</mdb-navbar-brand>
                <mdb-navbar-toggler>
                  <mdb-navbar-nav right>
                    <mdb-nav-item href="#" waves-fixed>Home</mdb-nav-item>
                    <mdb-nav-item href="#" waves-fixed>Features</mdb-nav-item>
                    <mdb-nav-item href="#" waves-fixed>Pricing</mdb-nav-item>
                  </mdb-navbar-nav>
                </mdb-navbar-toggler>
              </mdb-navbar>
              <!--/.Navbar-->
              <!--Navbar-->
              <mdb-navbar color="red" class="mt-2 lighten-1" expand="xl" dark animated animation="3">
                <!-- Navbar brand -->
                <mdb-navbar-brand class="text-white">Navbar</mdb-navbar-brand>
                <mdb-navbar-toggler>
                  <mdb-navbar-nav right>
                    <mdb-nav-item href="#" waves-fixed>Home</mdb-nav-item>
                    <mdb-nav-item href="#" waves-fixed>Features</mdb-nav-item>
                    <mdb-nav-item href="#" waves-fixed>Pricing</mdb-nav-item>
                  </mdb-navbar-nav>
                </mdb-navbar-toggler>
              </mdb-navbar>
              <!--/.Navbar-->
              <!--Navbar-->
              <mdb-navbar color="indigo" class="mt-2" expand="xl" dark animated animation="2">
                <!-- Navbar brand -->
                <mdb-navbar-brand class="text-white">Navbar</mdb-navbar-brand>
                <mdb-navbar-toggler>
                  <mdb-navbar-nav right>
                    <mdb-nav-item href="#" waves-fixed>Home</mdb-nav-item>
                    <mdb-nav-item href="#" waves-fixed>Features</mdb-nav-item>
                    <mdb-nav-item href="#" waves-fixed>Pricing</mdb-nav-item>
                  </mdb-navbar-nav>
                </mdb-navbar-toggler>
              </mdb-navbar>
            </mdb-container>
          </template>
          
        
    
        
            
          <script>
            import {
              mdbNavbar,
              mdbNavItem,
              mdbNavbarNav,
              mdbNavbarToggler,
              mdbContainer,
              mdbRow,
              mdbInput,
              mdbNavbarBrand,
              mdbIcon
            } from 'mdbvue';
            export default {
              name: 'HamburgerMenuPage',
              components: {
                mdbNavbar,
                mdbNavItem,
                mdbNavbarNav,
                mdbNavbarToggler,
                mdbContainer,
                mdbRow,
                mdbInput,
                mdbNavbarBrand,
                mdbIcon
              }
            }
          </script>
          
        
    

Hamburger icon within accordion MDB Pro component

Hello my friends, I am the nicest accordion!


Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable VHS.

Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable VHS.

Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable VHS.

        
            
        <template>
          <mdb-container>
            <mdb-col md="6">
              <mdb-accordion icon hamburger :panes="panes">
                <ul class="list-unstyled d-flex justify-content-center pt-5 red-text">
                  <li><i class="fas fa-anchor mr-3 fa-2x" aria-hidden="true"></i></li>
                  <li><i class="far fa-life-ring mr-3 fa-2x" aria-hidden="true"></i></li>
                  <li><i class="far fa-star fa-2x" aria-hidden="true"></i></li>
                </ul>
                <h2 class="text-center text-uppercase red-text py-4 px-3">Hello my friends, I am the nicest accordion!</h2>
                <hr class="mb-0">
              </mdb-accordion>
            </mdb-col>
          </mdb-container>
        </template>
        
        
    
        
            
        <script>
          import {
            mdbNavbar,
            mdbNavItem,
            mdbNavbarNav,
            mdbNavbarBrand,
            mdbNavbarToggler,
            mdbAccordion,
            mdbContainer,
            mdbRow,
            mdbCol,
            mdbIcon
          } from 'mdbvue';
          export default {
            name: 'HamburgerMenuPagePro',
            components: {
              mdbNavbar,
              mdbNavItem,
              mdbNavbarNav,
              mdbNavbarBrand,
              mdbNavbarToggler,
              mdbAccordion,
              mdbContainer,
              mdbRow,
              mdbCol,
              mdbIcon
            },
            data() {
              return {
                panes: [{
                    title: 'How awesome accordion I am?',
                    content: 'Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven\'t heard of them accusamus labore sustainable.'
                  }, {
                    title: "You're the greatest accordion!",
                    content: 'Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven\'t heard of them accusamus labore sustainable.'
                  },
                  {
                    title: 'Thank you my dear!',
                    content: 'Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven\'t heard of them accusamus labore sustainable.'
                  }
                ]
              };
            }
          }
        </script>
        
        
    

Hamburger icon with background MDB Pro component

        
            
          <template>
            <mdb-container>
              <!--Navbar-->
              <mdb-navbar class="mt-2" hamburger expand="lx" togglerClass="black text-white">
                <!-- mdbNavbar brand -->
                <mdb-navbar-brand>mdbNavbar</mdb-navbar-brand>
                <mdb-navbar-toggler>
                  <mdb-navbar-nav right>
                    <mdb-nav-item href="#" waves-fixed>Home</mdb-nav-item>
                    <mdb-nav-item href="#" waves-fixed>Features</mdb-nav-item>
                    <mdb-nav-item href="#" waves-fixed>Pricing</mdb-nav-item>
                  </mdb-navbar-nav>
                </mdb-navbar-toggler>
              </mdb-navbar>
              <!--/.Navbar-->
              <!--Navbar-->
              <mdb-navbar color="purple" class="mt-2 lighten-4" expand="lx" hamburger
                togglerClass="purple darken-3 text-white">
                <!-- mdbNavbar brand -->
                <mdb-navbar-brand>mdbNavbar</mdb-navbar-brand>
                <mdb-navbar-toggler>
                  <mdb-navbar-nav right>
                    <mdb-nav-item href="#" waves-fixed>Home</mdb-nav-item>
                    <mdb-nav-item href="#" waves-fixed>Features</mdb-nav-item>
                    <mdb-nav-item href="#" waves-fixed>Pricing</mdb-nav-item>
                  </mdb-navbar-nav>
                </mdb-navbar-toggler>
              </mdb-navbar>
              <!--/.Navbar-->
              <!--Navbar-->
              <mdb-navbar color="cyan" class="mt-2 lighten-4" hamburger expand="lx" togglerClass="cyan darken-4 text-white">
                <!-- mdbNavbar brand -->
                <mdb-navbar-brand>mdbNavbar</mdb-navbar-brand>
                <mdb-navbar-toggler>
                  <mdb-navbar-nav right>
                    <mdb-nav-item href="#" waves-fixed>Home</mdb-nav-item>
                    <mdb-nav-item href="#" waves-fixed>Features</mdb-nav-item>
                    <mdb-nav-item href="#" waves-fixed>Pricing</mdb-nav-item>
                  </mdb-navbar-nav>
                </mdb-navbar-toggler>
              </mdb-navbar>
              <!--/.Navbar-->
              <!--Navbar-->
              <mdb-navbar color="green" class="mt-2 lighten-4" hamburger expand="lx"
                togglerClass="aqua-gradient darken-4 text-white">
                <!-- mdbNavbar brand -->
                <mdb-navbar-brand>mdbNavbar</mdb-navbar-brand>
                <mdb-navbar-toggler>
                  <mdb-navbar-nav right>
                    <mdb-nav-item href="#" waves-fixed>Home</mdb-nav-item>
                    <mdb-nav-item href="#" waves-fixed>Features</mdb-nav-item>
                    <mdb-nav-item href="#" waves-fixed>Pricing</mdb-nav-item>
                  </mdb-navbar-nav>
                </mdb-navbar-toggler>
              </mdb-navbar>
              <!--/.Navbar-->
              <!--Navbar-->
              <mdb-navbar color="orange" class="mt-2 lighten-4" hamburger expand="lx"
                togglerClass="peach-gradient darken-4 text-white">
                <!-- mdbNavbar brand -->
                <mdb-navbar-brand>mdbNavbar</mdb-navbar-brand>
                <mdb-navbar-toggler>
                  <mdb-navbar-nav right>
                    <mdb-nav-item href="#" waves-fixed>Home</mdb-nav-item>
                    <mdb-nav-item href="#" waves-fixed>Features</mdb-nav-item>
                    <mdb-nav-item href="#" waves-fixed>Pricing</mdb-nav-item>
                  </mdb-navbar-nav>
                </mdb-navbar-toggler>
              </mdb-navbar>
              <!--/.Navbar-->
            </mdb-container>
          </template>
          
        
    
        
            
          <script>
            import {
              mdbNavbar,
              mdbNavItem,
              mdbNavbarNav,
              mdbNavbarBrand,
              mdbNavbarToggler,
              mdbContainer,
              mdbRow,
              mdbCol,
              mdbIcon
            } from 'mdbvue';
            export default {
              name: 'HamburgerMenuPagePro',
              components: {
                mdbNavbar,
                mdbNavItem,
                mdbNavbarNav,
                mdbNavbarBrand,
                mdbNavbarToggler,
                mdbContainer,
                mdbRow,
                mdbCol,
                mdbIcon
              }
            }
          </script>

React Hamburger Menu

React Hamburger Menu - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Bootstrap Hamburger menu is a navigation with additional hamburger looks-like icon which activates hidden menu elements in Navbar or Sidenav.

By clicking, you active a part of information or navigation that is hidden by default for UX purpose.

This usually means activating a SideNav, but might also roll down a Navbar menu.


Basic example

See the following Bootstrap hamburger menu examples

        
            
              import React, { Component } from 'react';
              import {
                MDBNavbar,
                MDBNavbarBrand,
                MDBNavbarNav,
                MDBNavItem,
                MDBNavLink,
                MDBNavbarToggler,
                MDBCollapse,
                MDBContainer
              } from 'mdbreact';
              import { BrowserRouter as Router } from 'react-router-dom';

              class hamburgerMenuPage extends Component {
                state = {
                  collapseID: ''
                };

                toggleCollapse = collapseID => () => {
                  this.setState(prevState => ({
                    collapseID: prevState.collapseID !== collapseID ? collapseID : ''
                  }));
                };

                render() {
                  return (
                    <Router>
                      <MDBContainer>
                        <MDBNavbar
                          color='light-blue lighten-4'
                          style={{ marginTop: '20px' }}
                          light
                        >
                          <MDBContainer>
                            <MDBNavbarBrand>Navbar</MDBNavbarBrand>
                            <MDBNavbarToggler
                              onClick={this.toggleCollapse('navbarCollapse1')}
                            />
                            <MDBCollapse
                              id='navbarCollapse1'
                              isOpen={this.state.collapseID}
                              navbar
                            >
                              <MDBNavbarNav left>
                                <MDBNavItem active>
                                  <MDBNavLink to='#!'>Home</MDBNavLink>
                                </MDBNavItem>
                                <MDBNavItem>
                                  <MDBNavLink to='#!'>Link</MDBNavLink>
                                </MDBNavItem>
                                <MDBNavItem>
                                  <MDBNavLink to='#!'>Profile</MDBNavLink>
                                </MDBNavItem>
                              </MDBNavbarNav>
                            </MDBCollapse>
                          </MDBContainer>
                        </MDBNavbar>
                      </MDBContainer>
                    </Router>
                  );
                }
              }

              export default hamburgerMenuPage;

          
        
    

Various hamburger menu icons

You can use image prop to add custom icon to the NavbarToggler component

        
            
            import React, { Component } from 'react';
            import { MDBNavbar, MDBNavbarBrand, MDBNavbarNav, MDBNavItem, MDBNavLink, MDBNavbarToggler, MDBCollapse, MDBContainer } from 'mdbreact';
            import { BrowserRouter as Router } from 'react-router-dom';

            class hamburgerMenuPage extends Component {
            state = {
              collapseID: ''
            }

            toggleCollapse = collapseID => () => {
              this.setState(prevState => ({ collapseID: (prevState.collapseID !== collapseID ? collapseID : '') }));
            }

            render() {
              return (
                <Router>
                  <MDBContainer>
                    <MDBNavbar color="bg-danger" style={{ marginTop: '20px' }} dark>
                      <MDBContainer>
                        <MDBNavbarBrand className="white-text">
                          MDBNavbar
                        </MDBNavbarBrand>
                        <MDBNavbarToggler image="https://mdbootstrap.com/img/svg/hamburger3.svg?color=00FBD8" onClick={this.toggleCollapse('navbarCollapse11')} />
                        <MDBCollapse id="navbarCollapse11" isOpen={this.state.collapseID} navbar>
                          <MDBNavbarNav left>
                            <MDBNavItem active>
                              <MDBNavLink to="#!">Home</MDBNavLink>
                            </MDBNavItem>
                            <MDBNavItem>
                              <MDBNavLink to="#!">Link</MDBNavLink>
                            </MDBNavItem>
                            <MDBNavItem>
                              <MDBNavLink to="#!">Profile</MDBNavLink>
                            </MDBNavItem>
                          </MDBNavbarNav>
                        </MDBCollapse>
                      </MDBContainer>
                    </MDBNavbar>
                  </MDBContainer>
                </Router>
                );
              }
            }

            export default hamburgerMenuPage;
        
        
    

Hamburger menu icon animations

You can use HamburgerToggler component to get animated hamburger icon. Click on the icon to see the animation.

        
            
                import React, { Component } from 'react';
                import { MDBNavbar, MDBNavbarBrand, MDBNavbarNav, MDBNavItem, MDBNavLink, MDBCollapse, MDBContainer, MDBHamburgerToggler } from 'mdbreact';
                import { BrowserRouter as Router } from 'react-router-dom';

                class NavbarPage extends Component {
                state = {
                  collapse1: false,
                  collapseID: ''
                }

                toggleCollapse = collapseID => () => {
                  this.setState(prevState => ({ collapseID: (prevState.collapseID !== collapseID ? collapseID : '') }));
                }

                toggleSingleCollapse = collapseId => {
                  this.setState({
                    ...this.state,
                    [collapseId]: !this.state[collapseId]
                  });
                }

                render() {
                  return (
                    <Router>
                      <MDBContainer>
                        <MDBNavbar color="amber lighten-4" style={{ marginTop: '20px' }} light>
                          <MDBContainer>
                            <MDBNavbarBrand>
                              MDBNavbar
                            </MDBNavbarBrand>
                            <MDBHamburgerToggler color="#d3531a" id="hamburger1" onClick={()=> this.toggleSingleCollapse('collapse1')} />
                              <MDBCollapse isOpen={this.state.collapse1} navbar>
                                <MDBNavbarNav left>
                                  <MDBNavItem active>
                                    <MDBNavLink to="#!">Home</MDBNavLink>
                                  </MDBNavItem>
                                  <MDBNavItem>
                                    <MDBNavLink to="#!">Link</MDBNavLink>
                                  </MDBNavItem>
                                  <MDBNavItem>
                                    <MDBNavLink to="#!">Profile</MDBNavLink>
                                  </MDBNavItem>
                                </MDBNavbarNav>
                              </MDBCollapse>
                          </MDBContainer>
                        </MDBNavbar>
                      </MDBContainer>
                    </Router>
                    );
                  }
                }

                export default NavbarPage;

            
        
    

Hamburger icon with background MDB Pro component

        
            
                import React, { Component } from 'react';
                import { MDBNavbar, MDBNavbarBrand, MDBNavbarNav, MDBNavItem, MDBNavLink, MDBNavbarToggler, MDBCollapse, MDBContainer, MDBIcon } from 'mdbreact';
                import { BrowserRouter as Router } from 'react-router-dom';

                class NavbarPage extends Component {
                state = {
                  collapseID: ''
                }

                toggleCollapse = collapseID => () => {
                  this.setState(prevState => ({ collapseID: (prevState.collapseID !== collapseID ? collapseID : '') }));
                }

                render() {
                  return (
                    <Router>
                      <MDBContainer>
                        <MDBNavbar color="green lighten-4" style={{ marginTop: '20px' }} light>
                          <MDBContainer>
                            <MDBNavbarBrand>
                              MDBNavbar
                            </MDBNavbarBrand>
                            <MDBNavbarToggler tag="button" className="aqua-gradient" onClick={this.toggleCollapse('navbarCollapse13')}>
                              <span className="white-text">
                                <MDBIcon icon="bars" />
                              </span>
                            </MDBNavbarToggler>
                            <MDBCollapse id="navbarCollapse13" isOpen={this.state.collapseID} navbar>
                              <MDBNavbarNav left>
                                <MDBNavItem active>
                                  <MDBNavLink to="#!">Home</MDBNavLink>
                                </MDBNavItem>
                                <MDBNavItem>
                                  <MDBNavLink to="#!">Link</MDBNavLink>
                                </MDBNavItem>
                                <MDBNavItem>
                                  <MDBNavLink to="#!">Profile</MDBNavLink>
                                </MDBNavItem>
                              </MDBNavbarNav>
                            </MDBCollapse>
                          </MDBContainer>
                        </MDBNavbar>
                      </MDBContainer>
                    </Router>
                    );
                  }
                }

                export default NavbarPage;
            
        
    

React Hamburger Menu - API

In this section you will find advanced information about the Hamburger Menu component. You will find out which modules are required, what are the possibilities of configuring the component, and what events and methods you can use in working with it.


Hamburger Menu import statement

In order to use Hamburger Menu component make sure you have imported proper module first.

        
            
          import { MDBHamburgerToggler, MDBNavbarToggler } from 'mdbreact';
        
        
    

MDBNavbarToggler PropTypes

The table below shows the configuration options of the NavbarToggler component.

Name Type Default Description Example
className string Adds custom class to the component. <MDBNavbarToggler className="myClass" ... />
image string true Adds background image to toggler. <MDBNavbarToggler image="https://mdbootstrap.com/img/svg/hamburger8.svg?color=E3005C" ... />
right boolean To show the toggler on the right <MDBNavbarToggler right ... />
left boolean To show the toggler on the left <MDBNavbarToggler left ... />

MDBHamburgerToggler PropTypes

The table below shows the configuration options of the HamburgerToggler component.

Name Type Default Description Example
className string Adds custom class to the component. <MDBHamburgerToggler className="myClass" ... />
color string Change default color of hamburger icon <MDBHamburgerToggler color="#d3531a" ... />
id string Required. Adds id to the component <MDBHamburgerToggler id="hamburger1" ... />
isOpen boolean Defines if hamburger is open by default. <MDBHamburgerToggler isOpen={true}... />

React Hamburger Menu - examples & customization

Quickly get a project started with any of our examples.


Hamburger menu icon animations

        
            
        import React, { Component } from "react";
        import { MDBNavbar, MDBContainer, MDBNavLink, MDBNavItem, MDBHamburgerToggler, MDBNavbarBrand, MDBNavbarNav,
        MDBCollapse } from "mdbreact";
        import { BrowserRouter as Router } from 'react-router-dom';

        class hamburgerMenuPage extends Component {
        state = {
          collapse1: ''
        }

        toggleSingleCollapse = collapseId => () => {
          this.setState({
            [collapseId]: !this.state[collapseId]
          });
        };

        render(){
          return (
            <Router>
              <MDBContainer>
                <MDBNavbar color="amber lighten-4" style={{ marginTop: '20px' }} light>
                  <MDBContainer>
                    <MDBNavbarBrand>
                      MDBNavbar
                    </MDBNavbarBrand>
                    <MDBHamburgerToggler color="#d3531a" id="hamburger1" onClick={this.toggleSingleCollapse('collapse1')} />
                    <MDBCollapse isOpen={this.state.collapse1} navbar>
                      <MDBNavbarNav left>
                        <MDBNavItem active>
                          <MDBNavLink to="#!">Home</MDBNavLink>
                        </MDBNavItem>
                        <MDBNavItem>
                          <MDBNavLink to="#!">Link</MDBNavLink>
                        </MDBNavItem>
                        <MDBNavItem>
                          <MDBNavLink to="#!">Profile</MDBNavLink>
                        </MDBNavItem>
                      </MDBNavbarNav>
                    </MDBCollapse>
                  </MDBContainer>
                </MDBNavbar>

                <MDBNavbar color="bg-danger" style={{ marginTop: '20px' }} dark>
                  <MDBContainer>
                    <MDBNavbarBrand className="white-text">
                      MDBNavbar
                    </MDBNavbarBrand>
                    <MDBHamburgerToggler onClick={this.toggleSingleCollapse('collapse2')} isOpen={true} id="hamburger2" />
                    <MDBCollapse isOpen={this.state.collapse2} navbar>
                      <MDBNavbarNav left>
                        <MDBNavItem active>
                          <MDBNavLink to="#!">Home</MDBNavLink>
                        </MDBNavItem>
                        <MDBNavItem>
                          <MDBNavLink to="#!">Link</MDBNavLink>
                        </MDBNavItem>
                        <MDBNavItem>
                          <MDBNavLink to="#!">Profile</MDBNavLink>
                        </MDBNavItem>
                      </MDBNavbarNav>
                    </MDBCollapse>
                  </MDBContainer>
                </MDBNavbar>

                <MDBNavbar color="indigo darken-2" style={{ marginTop: '20px' }} dark>
                  <MDBContainer>
                    <MDBNavbarBrand className="white-text">
                      MDBNavbar
                    </MDBNavbarBrand>
                    <MDBHamburgerToggler onClick={this.toggleSingleCollapse('collapse3')} id="hamburger3" />
                    <MDBCollapse isOpen={this.state.collapse3} navbar>
                      <MDBNavbarNav left>
                        <MDBNavItem active>
                          <MDBNavLink to="#!">Home</MDBNavLink>
                        </MDBNavItem>
                        <MDBNavItem>
                          <MDBNavLink to="#!">Link</MDBNavLink>
                        </MDBNavItem>
                        <MDBNavItem>
                          <MDBNavLink to="#!">Profile</MDBNavLink>
                        </MDBNavItem>
                      </MDBNavbarNav>
                    </MDBCollapse>
                  </MDBContainer>
                </MDBNavbar>
              </MDBContainer>
            </Router>
            );
          }
        }

        export default hamburgerMenuPage;

        
        
    

Various hamburger menu icons

        
            
          import React, { Component } from "react";
          import { MDBNavbar, MDBContainer, MDBNavLink, MDBNavItem, MDBNavbarToggler, MDBNavbarBrand, MDBNavbarNav, MDBCollapse }
          from "mdbreact";
          import { BrowserRouter as Router } from 'react-router-dom';

          class hamburgerMenuPage extends Component {
          state = {
            navbarCollapse1: '',
            navbarCollapse2: '',
            navbarCollapse3: '',
            navbarCollapse5: '',
            navbarCollapse6: '',
            navbarCollapse7: '',
            navbarCollapse8: '',
            navbarCollapse9: '',
            navbarCollapse10: '',
            navbarCollapse11: ''
          }

          toggleCollapse = collapseID => () => {
            this.setState(prevState => ({
              collapseID: prevState.collapseID !== collapseID ? collapseID : ""
            }));
          };

          render(){
            return (
              <Router>
                <MDBContainer>
                  <MDBNavbar style={{ marginTop: '20px' }} light>
                    <MDBContainer>
                      <MDBNavbarBrand>
                        MDBNavbar
                      </MDBNavbarBrand>
                      <MDBNavbarToggler image="https://mdbootstrap.com/img/svg/hamburger6.svg?color=000" onClick={this.toggleCollapse('navbarCollapse1')} />
                      <MDBCollapse id="navbarCollapse1" isOpen={this.state.collapseID} navbar>
                        <MDBNavbarNav left>
                          <MDBNavItem active>
                            <MDBNavLink to="#!">Home</MDBNavLink>
                          </MDBNavItem>
                          <MDBNavItem>
                            <MDBNavLink to="#!">Link</MDBNavLink>
                          </MDBNavItem>
                          <MDBNavItem>
                            <MDBNavLink to="#!">Profile</MDBNavLink>
                          </MDBNavItem>
                        </MDBNavbarNav>
                      </MDBCollapse>
                    </MDBContainer>
                  </MDBNavbar>

                  <MDBNavbar color="bg-primary" style={{ marginTop: '20px' }} dark>
                    <MDBContainer>
                      <MDBNavbarBrand className="white-text">
                        MDBNavbar
                      </MDBNavbarBrand>
                      <MDBNavbarToggler image="/docs/img/svg/arrow_right.svg" onClick={this.toggleCollapse('navbarCollapse2')} />
                      <MDBCollapse id="navbarCollapse2" isOpen={this.state.collapseID} navbar>
                        <MDBNavbarNav left>
                          <MDBNavItem active>
                            <MDBNavLink to="#!">Home</MDBNavLink>
                          </MDBNavItem>
                          <MDBNavItem>
                            <MDBNavLink to="#!">Link</MDBNavLink>
                          </MDBNavItem>
                          <MDBNavItem>
                            <MDBNavLink to="#!">Profile</MDBNavLink>
                          </MDBNavItem>
                        </MDBNavbarNav>
                      </MDBCollapse>
                    </MDBContainer>
                  </MDBNavbar>

                  <MDBNavbar color="light-blue lighten-4" style={{ marginTop: '20px' }}>
                    <MDBContainer>
                      <MDBNavbarBrand>
                        MDBNavbar
                      </MDBNavbarBrand>
                      <MDBNavbarToggler image="https://mdbootstrap.com/img/svg/hamburger2.svg?color=fff" onClick={this.toggleCollapse('navbarCollapse3')} />
                      <MDBCollapse id="navbarCollapse3" isOpen={this.state.collapseID} navbar>
                        <MDBNavbarNav left>
                          <MDBNavItem active>
                            <MDBNavLink to="#!">Home</MDBNavLink>
                          </MDBNavItem>
                          <MDBNavItem>
                            <MDBNavLink to="#!">Link</MDBNavLink>
                          </MDBNavItem>
                          <MDBNavItem>
                            <MDBNavLink to="#!">Profile</MDBNavLink>
                          </MDBNavItem>
                        </MDBNavbarNav>
                      </MDBCollapse>
                    </MDBContainer>
                  </MDBNavbar>

                  <MDBNavbar color="pink lighten-4" style={{ marginTop: '20px' }} dark>
                    <MDBContainer>
                      <MDBNavbarBrand className="white-text">
                        MDBNavbar
                      </MDBNavbarBrand>
                      <MDBNavbarToggler image="https://mdbootstrap.com/img/svg/hamburger1.svg?color=6a1b9a" onClick={this.toggleCollapse('navbarCollapse5')} />
                      <MDBCollapse id="navbarCollapse5" isOpen={this.state.collapseID} navbar>
                        <MDBNavbarNav left>
                          <MDBNavItem active>
                            <MDBNavLink to="#!">Home</MDBNavLink>
                          </MDBNavItem>
                          <MDBNavItem>
                            <MDBNavLink to="#!">Link</MDBNavLink>
                          </MDBNavItem>
                          <MDBNavItem>
                            <MDBNavLink to="#!">Profile</MDBNavLink>
                          </MDBNavItem>
                        </MDBNavbarNav>
                      </MDBCollapse>
                    </MDBContainer>
                  </MDBNavbar>

                  <MDBNavbar color="pink lighten-2" style={{ marginTop: '20px' }} dark>
                    <MDBContainer>
                      <MDBNavbarBrand className="white-text">
                        MDBNavbar
                      </MDBNavbarBrand>
                      <MDBNavbarToggler image="https://mdbootstrap.com/img/svg/hamburger7.svg?color=BFE100" onClick={this.toggleCollapse('navbarCollapse6')} />
                      <MDBCollapse id="navbarCollapse6" isOpen={this.state.collapseID} navbar>
                        <MDBNavbarNav left>
                          <MDBNavItem active>
                            <MDBNavLink to="#!">Home</MDBNavLink>
                          </MDBNavItem>
                          <MDBNavItem>
                            <MDBNavLink to="#!">Link</MDBNavLink>
                          </MDBNavItem>
                          <MDBNavItem>
                            <MDBNavLink to="#!">Profile</MDBNavLink>
                          </MDBNavItem>
                        </MDBNavbarNav>
                      </MDBCollapse>
                    </MDBContainer>
                  </MDBNavbar>

                  <MDBNavbar color="bg-secondary mb-4" style={{ marginTop: '20px' }} dark>
                    <MDBContainer>
                      <MDBNavbarBrand className="white-text">
                        MDBNavbar
                      </MDBNavbarBrand>
                      <MDBNavbarToggler image="https://mdbootstrap.com/img/svg/hamburger5.svg?color=f3e5f5" onClick={this.toggleCollapse('navbarCollapse7')} />
                      <MDBCollapse id="navbarCollapse7" isOpen={this.state.collapseID} navbar>
                        <MDBNavbarNav left>
                          <MDBNavItem active>
                            <MDBNavLink to="#!">Home</MDBNavLink>
                          </MDBNavItem>
                          <MDBNavItem>
                            <MDBNavLink to="#!">Link</MDBNavLink>
                          </MDBNavItem>
                          <MDBNavItem>
                            <MDBNavLink to="#!">Profile</MDBNavLink>
                          </MDBNavItem>
                        </MDBNavbarNav>
                      </MDBCollapse>
                    </MDBContainer>
                  </MDBNavbar>

                  <MDBNavbar color="bg-success" style={{ marginTop: '20px' }} dark>
                    <MDBContainer>
                      <MDBNavbarBrand className="white-text">
                        MDBNavbar
                      </MDBNavbarBrand>
                      <MDBNavbarToggler image="https://mdbootstrap.com/img/svg/hamburger8.svg?color=E3005C" onClick={this.toggleCollapse('navbarCollapse8')} />
                      <MDBCollapse id="navbarCollapse8" isOpen={this.state.collapseID} navbar>
                        <MDBNavbarNav left>
                          <MDBNavItem active>
                            <MDBNavLink to="#!">Home</MDBNavLink>
                          </MDBNavItem>
                          <MDBNavItem>
                            <MDBNavLink to="#!">Link</MDBNavLink>
                          </MDBNavItem>
                          <MDBNavItem>
                            <MDBNavLink to="#!">Profile</MDBNavLink>
                          </MDBNavItem>
                        </MDBNavbarNav>
                      </MDBCollapse>
                    </MDBContainer>
                  </MDBNavbar>

                  <MDBNavbar color="bg-info" style={{ marginTop: '20px' }} dark>
                    <MDBContainer>
                      <MDBNavbarBrand className="white-text">
                        MDBNavbar
                      </MDBNavbarBrand>
                      <MDBNavbarToggler image="https://mdbootstrap.com/img/svg/hamburger9.svg?color=FF2C00" onClick={this.toggleCollapse('navbarCollapse9')} />
                      <MDBCollapse id="navbarCollapse9" isOpen={this.state.collapseID} navbar>
                        <MDBNavbarNav left>
                          <MDBNavItem active>
                            <MDBNavLink to="#!">Home</MDBNavLink>
                          </MDBNavItem>
                          <MDBNavItem>
                            <MDBNavLink to="#!">Link</MDBNavLink>
                          </MDBNavItem>
                          <MDBNavItem>
                            <MDBNavLink to="#!">Profile</MDBNavLink>
                          </MDBNavItem>
                        </MDBNavbarNav>
                      </MDBCollapse>
                    </MDBContainer>
                  </MDBNavbar>

                  <MDBNavbar color="bg-warning " style={{ marginTop: '20px' }} dark>
                    <MDBContainer>
                      <MDBNavbarBrand className="white-text">
                        MDBNavbar
                      </MDBNavbarBrand>
                      <MDBNavbarToggler image="https://mdbootstrap.com/img/svg/hamburger4.svg?color=1729B0" onClick={this.toggleCollapse('navbarCollapse10')} />
                      <MDBCollapse id="navbarCollapse10" isOpen={this.state.collapseID} navbar>
                        <MDBNavbarNav left>
                          <MDBNavItem active>
                            <MDBNavLink to="#!">Home</MDBNavLink>
                          </MDBNavItem>
                          <MDBNavItem>
                            <MDBNavLink to="#!">Link</MDBNavLink>
                          </MDBNavItem>
                          <MDBNavItem>
                            <MDBNavLink to="#!">Profile</MDBNavLink>
                          </MDBNavItem>
                        </MDBNavbarNav>
                      </MDBCollapse>
                    </MDBContainer>
                  </MDBNavbar>

                  <MDBNavbar color="bg-danger" style={{ marginTop: '20px' }} dark>
                    <MDBContainer>
                      <MDBNavbarBrand className="white-text">
                        MDBNavbar
                      </MDBNavbarBrand>
                      <MDBNavbarToggler image="https://mdbootstrap.com/img/svg/hamburger3.svg?color=00FBD8" onClick={this.toggleCollapse('navbarCollapse11')} />
                      <MDBCollapse id="navbarCollapse11" isOpen={this.state.collapseID} navbar>
                        <MDBNavbarNav left>
                          <MDBNavItem active>
                            <MDBNavLink to="#!">Home</MDBNavLink>
                          </MDBNavItem>
                          <MDBNavItem>
                            <MDBNavLink to="#!">Link</MDBNavLink>
                          </MDBNavItem>
                          <MDBNavItem>
                            <MDBNavLink to="#!">Profile</MDBNavLink>
                          </MDBNavItem>
                        </MDBNavbarNav>
                      </MDBCollapse>
                    </MDBContainer>
                  </MDBNavbar>
                </MDBContainer>
              </Router>
              );
            }
          }

          export default hamburgerMenuPage;
          
        
    

Hamburger icon with background MDB Pro component

        
            
        import React, { Component } from "react";
        import { MDBNavbar, MDBContainer, MDBNavLink, MDBNavItem, MDBNavbarToggler, MDBNavbarBrand, MDBNavbarNav, MDBCollapse,
        MDBIcon } from "mdbreact";
        import { BrowserRouter as Router } from 'react-router-dom';

        class hamburgerMenuPage extends Component {
        state = {
          navbarCollapse12: '',
          navbarCollapse13: '',
          navbarCollapse14: '',
          navbarCollapse15: ''
        }

        toggleCollapse = collapseID => () => {
          this.setState(prevState => ({
            collapseID: prevState.collapseID !== collapseID ? collapseID : ""
          }));
        };

        render(){
          return (
            <Router>
              <MDBContainer>
                <MDBNavbar color="orange lighten-4" style={{ marginTop: '20px' }} light>
                  <MDBContainer>
                    <MDBNavbarBrand>
                      MDBNavbar
                    </MDBNavbarBrand>
                    <MDBNavbarToggler tag="button" className="peach-gradient" onClick={this.toggleCollapse('navbarCollapse12')}>
                      <span className="white-text">
                        <MDBIcon icon="bars" />
                      </span>
                    </MDBNavbarToggler>
                    <MDBCollapse id="navbarCollapse12" isOpen={this.state.collapseID} navbar>
                      <MDBNavbarNav left>
                        <MDBNavItem active>
                          <MDBNavLink to="#!">Home</MDBNavLink>
                        </MDBNavItem>
                        <MDBNavItem>
                          <MDBNavLink to="#!">Link</MDBNavLink>
                        </MDBNavItem>
                        <MDBNavItem>
                          <MDBNavLink to="#!">Profile</MDBNavLink>
                        </MDBNavItem>
                      </MDBNavbarNav>
                    </MDBCollapse>
                  </MDBContainer>
                </MDBNavbar>

                <MDBNavbar color="green lighten-4" style={{ marginTop: '20px' }} light>
                  <MDBContainer>
                    <MDBNavbarBrand>
                      MDBNavbar
                    </MDBNavbarBrand>
                    <MDBNavbarToggler tag="button" className="aqua-gradient" onClick={this.toggleCollapse('navbarCollapse13')}>
                      <span className="white-text">
                        <MDBIcon icon="bars" />
                      </span>
                    </MDBNavbarToggler>
                    <MDBCollapse id="navbarCollapse13" isOpen={this.state.collapseID} navbar>
                      <MDBNavbarNav left>
                        <MDBNavItem active>
                          <MDBNavLink to="#!">Home</MDBNavLink>
                        </MDBNavItem>
                        <MDBNavItem>
                          <MDBNavLink to="#!">Link</MDBNavLink>
                        </MDBNavItem>
                        <MDBNavItem>
                          <MDBNavLink to="#!">Profile</MDBNavLink>
                        </MDBNavItem>
                      </MDBNavbarNav>
                    </MDBCollapse>
                  </MDBContainer>
                </MDBNavbar>

                <MDBNavbar color="purple lighten-4" style={{ marginTop: '20px' }} light>
                  <MDBContainer>
                    <MDBNavbarBrand>
                      MDBNavbar
                    </MDBNavbarBrand>
                    <MDBNavbarToggler tag="button" className="purple-gradient" onClick={this.toggleCollapse('navbarCollapse14')}>
                      <span className="white-text">
                        <MDBIcon icon="bars" />
                      </span>
                    </MDBNavbarToggler>
                    <MDBCollapse id="navbarCollapse14" isOpen={this.state.collapseID} navbar>
                      <MDBNavbarNav left>
                        <MDBNavItem active>
                          <MDBNavLink to="#!">Home</MDBNavLink>
                        </MDBNavItem>
                        <MDBNavItem>
                          <MDBNavLink to="#!">Link</MDBNavLink>
                        </MDBNavItem>
                        <MDBNavItem>
                          <MDBNavLink to="#!">Profile</MDBNavLink>
                        </MDBNavItem>
                      </MDBNavbarNav>
                    </MDBCollapse>
                  </MDBContainer>
                </MDBNavbar>

                <MDBNavbar color="bg-primary" style={{ marginTop: '20px' }} dark>
                  <MDBContainer>
                    <MDBNavbarBrand className="white-text">
                      MDBNavbar
                    </MDBNavbarBrand>
                    <MDBNavbarToggler tag="button" className="blue-gradient" onClick={this.toggleCollapse('navbarCollapse15')}>
                      <span className="white-text">
                        <MDBIcon icon="bars" />
                      </span>
                    </MDBNavbarToggler>
                    <MDBCollapse id="navbarCollapse15" isOpen={this.state.collapseID} navbar>
                      <MDBNavbarNav left>
                        <MDBNavItem active>
                          <MDBNavLink to="#!">Home</MDBNavLink>
                        </MDBNavItem>
                        <MDBNavItem>
                          <MDBNavLink to="#!">Link</MDBNavLink>
                        </MDBNavItem>
                        <MDBNavItem>
                          <MDBNavLink to="#!">Profile</MDBNavLink>
                        </MDBNavItem>
                      </MDBNavbarNav>
                    </MDBCollapse>
                  </MDBContainer>
                </MDBNavbar>
              </MDBContainer>
            </Router>
            );
          }
        }

        export default hamburgerMenuPage;